# Other ACME objects

Other ACME objects.

class `acme.other.``Signature`(**kwargs)

  Bases: `acme.jose.json_util.JSONObjectWithFields`

  ACME signature.

  Variables:

  - alg (JWASignature) – Signature algorithm.
  - sig (bytes) – Signature.
  - nonce (bytes) – Nonce.
  - jwk (JWK) – JWK.

  `NONCE_SIZE` = 16

    Minimum size of nonce in bytes.

  classmethod `from_msg`(msg, key, nonce=None, nonce_size=None, alg=RS256)

    Create signature with nonce prepended to the message.

    Parameters:

    - msg (bytes) – Message to be signed.
    - key (`cryptography.hazmat.primitives.asymmetric.rsa.RSAPrivateKey` (optionally wrapped in `ComparableRSAKey`).) – Key used for signing.
    - nonce (bytes) – Nonce to be used. If None, nonce of `nonce_size` will be randomly generated.
    - nonce_size (int) – Size of the automatically generated nonce. Defaults to `NONCE_SIZE`.
    - alg (JWASignature) –

  `verify`(msg)

    Verify the signature.

    Parameters: | msg (bytes) – Message that was used in signing.